BUGLE-SHOWSTATS(7)

NAME
bugle-showstats - render statistics over the display

SYNOPSIS

filterset showstats
{
    show "statistic1"
    show "statistic2"
    graph "statistic3"
}

DESCRIPTION

The showstats filter-set display statistics gathered by other filter-sets over the rendered display. Statistics can be displayed either as text or as graphs.

OPTIONS

show
    Specifies a statistic to display as text. The name must match an entry in ~/.bugle/statistics.

graph
    This is like the show option above, but displays a graph rather than text.

time
    The interval (in seconds) between updating the statistics. The default is one second.

key_accumulate
    By default, statistics are averaged over the time interval specified above, making them approximately instantaneous rates. Pressing this key will cause the display to instead show the average from the time the key was pressed until the current moment.

key_unaccumulate
    This key cancels the effect of key_accumulate.

FILES

~/.bugle/statistics
    Formulae and metadata for statistics

ENVIRONMENT

BUGLE_STATISTICS
    If set, defines the location of the statistics file, overriding the default above.

AUTHOR

bugle is written and maintained by Bruce Merry.

SEE ALSO

bugle(3), bugle-statistics(5)